Printable version

Drivers & software

* RECOMMENDED * HP ProLiant Smart Array Controller Driver for VMware vSphere 6.0 (VIB file)

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Driver - Storage Controller
Version: 6.0.0.114-1(17 Dec 2015)
Operating System(s):
VMware vSphere 6.0
File name: scsi-hpsa_6.0.0.114-1OEM.600.0.0.2494585.vib (75 KB)
This VIB file is used to update the HP ProLiant Smart Array driver on an existing VMware vSphere 6.0 installation. VIB file version must be higher than the driver version already installed.

To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

b48c0d1c81b6eae4b749a94020ddd669143dbbe28cb90fe1b8c0507a24d109c0 scsi-hpsa_6.0.0.114-1OEM.600.0.0.2494585.vib

Reboot Requirement:
Reboot is required after installation for updates to take effect and hardware stability to be maintained.


Installation:

VIB file is used to update the hpsa driver after the vSphere 6.0 OS is already installed.
esxupdate method does not work for installing drivers on vSphere 6.0.
Driver VIBs may be installed using the esxcli utility: 

  1. Configure the server for troubleshooting mode (enable vSphere shell, and enable SSH)
  2. Use SCP to push new VIB file onto vSphere 6.0 server
    • >scp <vib location> <server’s IP address>:/tmp
  3. At vSphere 6.0 server's system console, select Alt-F1
  4. Login to vSphere Shell as root
  5. cd to /tmp
  6. Copy the vib file to /var/log/vmware
    • >cp <VIB’s current location in /tmp> /var/log/vmware
  7. Install the VIB file using esxcli:
    • >esxcli software vib install -v file:<vib’s location in /tmp> --force -no-sig-check -maintenance-mode
  8. After install, you’ll need to reboot
  9. Verify the version of the hpsa driver:
    • Use Alt-F1 to login to a command prompt on the server as root
    • cat /proc/driver/hpsa/hpsa0 | grep Driver (0 may be other #s, depending on controller #).
    • Verify displayed driver version matches what was installed.

End User License Agreements:
HPE Software License Agreement v1


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Supported Devices and Features:

Following is the list of Controllers supported by version 6.0.0.114-1 driver:

    HP Smart Array P230i Controller      
    HP Smart Array P240nr Controller      
    HP Smart Array P244br Controller      
    HP Smart Array P246br Controller
    HP Smart Array P430 Controller 
    HP Smart Array P431 Controller
    HP Smart Array P440 Controller
    HP Smart Array P440ar Controller
    HP Smart Array P441 Controller    
    HP Smart Array P731m Controller      
    HP Smart Array P741m Controller      
    HP Smart Array P822 Controller      
    HP Smart Array P830 Controller      
    HP Smart Array P830i Controller      
    HP Smart Array P840 Controller      
    HP Smart Array P840ar Controller      
    HP Smart Array P841 Controller
    HP Smart HBA H240
    HP Smart HBA H240ar
    HP Smart HBA H240nr Controller     
    HP Smart HBA H241
    HP Smart HBA H244br
    Smart Array P220i
    Smart Array P222
    Smart Array P420      
    Smart Array P420i
    Smart Array P421    
    Smart Array P700m    
    Smart Array P721m      


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Implements rescan patches to solve new device rescan issue.
  • Implements changes to abort handler logic to avoid PSOD on aborting an already completed command.

Known Issue:

HPSA Driver VIB version 6.0.0.114-1 for HPE Smart Array Px1x Controllers is not supported on VMware ESXi 6.0. Refer to HPE Customer Advisory #c05105304: http://h20564.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-c05105304, for additional information. Click the Release Notes tab to view a list of HPE Smart Array Controllers that are supported with this driver version.

Version:6.0.0.132-1 (5 Feb 2018)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Improved driver handling of late I/O request completions to reduce the possibility of PSOD event.


Version:6.0.0.128-1 (22 Aug 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Add new VSANmode module parameter. When enabled this parameter turns off HPE Smart Path feature on all controllers operating in RAID mode and adjust queue depths for logical disks to be compatible with VSAN operations.

Enhancements

Added support for:

    HPE Smart Array P830 Controller
    HPE Smart Array P830i Controller


Version:6.0.0.124-1(A) (12 Jul 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Change implemented in version 6.0.0.124-1(A):

  • Updated to support Service Pack for ProLiant version 2017.07.0.
    Note: If driver version 6.0.0.124-1 was previously installed, then it is not necessary to upgrade to version 6.0.0.124-1(A).

Issues resolved in version 6.0.0.124-1:

  • On HPE ProLiant servers, reinserting and reactivating a previously hot-removed RAID 0 disk may cause the volume to fail to return to an online or ready state in VMware vSphere 6.0. The HPE Smart Array (HPSA) driver prevents the unplugged volume’s offline state from being recognized by driver and when the volume is physically reinserted and reactivated with the Smart Storage Administrator (SSA) utility, the volume status remains as offline in a VMware vSAN environment.

 


Version:6.0.0.124-1 (9 Dec 2016)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Below is fixed in the hpsa driver version 6.0.0.124-1

On HPE ProLiant servers, reinserting and reactivating a previously hot-removed RAID 0 disk may cause the volume to fail to return to an online or ready state in VMware vSphere 6.0. The HPE Smart Array (HPSA) driver prevents the unplugged volume’s offline state from being recognized by driver and when the volume is physically reinserted and reactivated with the Smart Storage Administrator (SSA) utility, the volume status remains as offline in a VMware vSAN environment.


Version:6.0.0.120-1 (24 Oct 2016)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Change abort handler and completion path code to avoid potential double completion.
  • Avoid performance issues by allowing driver to skip over spun-down spare disks when performing inquiries of all attached devices to avoid having to spin up the disk.
  • Add a timeout for driver-initiated commands to prevent faulty drives from hanging a driver's device rescan process.
Enhancements

Driver updated with Hewlett Packard Enterprise (HPE) branding.


Version:6.0.0.118-1 (21 Apr 2016)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Restored paths to a Shared Storage RAID enclosure which was not automatically added.
  • HPE Smart Array Px1x Controllers, which were not supported with HPSA VMware driver versions 6.0.0.114-1 and 6.0.0.116-1, are now fully supported. Please reference CA# c05105304 for more details.
Enhancements

Added support for:
HP Smart Array P542D Controller.
HP Smart Array P240nr Controller.
HP Smart HBA H240nr Controller


Version:6.0.0.116-1 (18 Nov 2015)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Known Issue:

HPSA Driver VIB version 6.0.0.116-1 for HPE Smart Array Px1x Controllers is not supported on VMware ESXi 6.0. Refer to HPE Customer Advisory #c05105304: http://h20564.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-c05105304, for additional information. Click the Release Notes tab to view a list of HPE Smart Array Controllers that are supported with this driver version.

Enhancements

Enabled operation with third party external RAID enclosures.


Version:6.0.0.114-1 (17 Dec 2015)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Implements rescan patches to solve new device rescan issue.
  • Implements changes to abort handler logic to avoid PSOD on aborting an already completed command.

Known Issue:

HPSA Driver VIB version 6.0.0.114-1 for HPE Smart Array Px1x Controllers is not supported on VMware ESXi 6.0. Refer to HPE Customer Advisory #c05105304: http://h20564.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-c05105304, for additional information. Click the Release Notes tab to view a list of HPE Smart Array Controllers that are supported with this driver version.


Version:6.0.0.106-1 (15 Jun 2015)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


  • Added support for the HP Smart Array P840ar Controller.
  • Restored support for the HP Smart Array P700m Controller.
  • Added support for the HP MSA1040 external RAID enclosure.

 


Version:6.0.0.84-1 (30 Mar 2015)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


  • Improved SCSI abort request handling.
  • Improved handling of errors during device discovery.
  • HBA mode updates.
  • Performance improvements via driver restructuring to eliminate locking.
  • Support for new HP Smart Array RAID controllers and Smart HBAs.

Type: Driver - Storage Controller
Version: 6.0.0.114-1(17 Dec 2015)
Operating System(s):
VMware vSphere 6.0

Description

This VIB file is used to update the HP ProLiant Smart Array driver on an existing VMware vSphere 6.0 installation. VIB file version must be higher than the driver version already installed.

Installation Instructions

To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

b48c0d1c81b6eae4b749a94020ddd669143dbbe28cb90fe1b8c0507a24d109c0 scsi-hpsa_6.0.0.114-1OEM.600.0.0.2494585.vib

Reboot Requirement:
Reboot is required after installation for updates to take effect and hardware stability to be maintained.


Installation:

VIB file is used to update the hpsa driver after the vSphere 6.0 OS is already installed.
esxupdate method does not work for installing drivers on vSphere 6.0.
Driver VIBs may be installed using the esxcli utility: 

  1. Configure the server for troubleshooting mode (enable vSphere shell, and enable SSH)
  2. Use SCP to push new VIB file onto vSphere 6.0 server
    • >scp <vib location> <server’s IP address>:/tmp
  3. At vSphere 6.0 server's system console, select Alt-F1
  4. Login to vSphere Shell as root
  5. cd to /tmp
  6. Copy the vib file to /var/log/vmware
    • >cp <VIB’s current location in /tmp> /var/log/vmware
  7. Install the VIB file using esxcli:
    • >esxcli software vib install -v file:<vib’s location in /tmp> --force -no-sig-check -maintenance-mode
  8. After install, you’ll need to reboot
  9. Verify the version of the hpsa driver:
    • Use Alt-F1 to login to a command prompt on the server as root
    • cat /proc/driver/hpsa/hpsa0 | grep Driver (0 may be other #s, depending on controller #).
    • Verify displayed driver version matches what was installed.

Release Notes

End User License Agreements:
HPE Software License Agreement v1


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Supported Devices and Features:

Following is the list of Controllers supported by version 6.0.0.114-1 driver:

    HP Smart Array P230i Controller      
    HP Smart Array P240nr Controller      
    HP Smart Array P244br Controller      
    HP Smart Array P246br Controller
    HP Smart Array P430 Controller 
    HP Smart Array P431 Controller
    HP Smart Array P440 Controller
    HP Smart Array P440ar Controller
    HP Smart Array P441 Controller    
    HP Smart Array P731m Controller      
    HP Smart Array P741m Controller      
    HP Smart Array P822 Controller      
    HP Smart Array P830 Controller      
    HP Smart Array P830i Controller      
    HP Smart Array P840 Controller      
    HP Smart Array P840ar Controller      
    HP Smart Array P841 Controller
    HP Smart HBA H240
    HP Smart HBA H240ar
    HP Smart HBA H240nr Controller     
    HP Smart HBA H241
    HP Smart HBA H244br
    Smart Array P220i
    Smart Array P222
    Smart Array P420      
    Smart Array P420i
    Smart Array P421    
    Smart Array P700m    
    Smart Array P721m      


Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Implements rescan patches to solve new device rescan issue.
  • Implements changes to abort handler logic to avoid PSOD on aborting an already completed command.

Known Issue:

HPSA Driver VIB version 6.0.0.114-1 for HPE Smart Array Px1x Controllers is not supported on VMware ESXi 6.0. Refer to HPE Customer Advisory #c05105304: http://h20564.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-c05105304, for additional information. Click the Release Notes tab to view a list of HPE Smart Array Controllers that are supported with this driver version.

Revision History

Version:6.0.0.132-1 (5 Feb 2018)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Improved driver handling of late I/O request completions to reduce the possibility of PSOD event.


Version:6.0.0.128-1 (22 Aug 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Add new VSANmode module parameter. When enabled this parameter turns off HPE Smart Path feature on all controllers operating in RAID mode and adjust queue depths for logical disks to be compatible with VSAN operations.

Enhancements

Added support for:

    HPE Smart Array P830 Controller
    HPE Smart Array P830i Controller


Version:6.0.0.124-1(A) (12 Jul 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Change implemented in version 6.0.0.124-1(A):

  • Updated to support Service Pack for ProLiant version 2017.07.0.
    Note: If driver version 6.0.0.124-1 was previously installed, then it is not necessary to upgrade to version 6.0.0.124-1(A).

Issues resolved in version 6.0.0.124-1:

  • On HPE ProLiant servers, reinserting and reactivating a previously hot-removed RAID 0 disk may cause the volume to fail to return to an online or ready state in VMware vSphere 6.0. The HPE Smart Array (HPSA) driver prevents the unplugged volume’s offline state from being recognized by driver and when the volume is physically reinserted and reactivated with the Smart Storage Administrator (SSA) utility, the volume status remains as offline in a VMware vSAN environment.

 


Version:6.0.0.124-1 (9 Dec 2016)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Below is fixed in the hpsa driver version 6.0.0.124-1

On HPE ProLiant servers, reinserting and reactivating a previously hot-removed RAID 0 disk may cause the volume to fail to return to an online or ready state in VMware vSphere 6.0. The HPE Smart Array (HPSA) driver prevents the unplugged volume’s offline state from being recognized by driver and when the volume is physically reinserted and reactivated with the Smart Storage Administrator (SSA) utility, the volume status remains as offline in a VMware vSAN environment.


Version:6.0.0.120-1 (24 Oct 2016)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Change abort handler and completion path code to avoid potential double completion.
  • Avoid performance issues by allowing driver to skip over spun-down spare disks when performing inquiries of all attached devices to avoid having to spin up the disk.
  • Add a timeout for driver-initiated commands to prevent faulty drives from hanging a driver's device rescan process.
Enhancements

Driver updated with Hewlett Packard Enterprise (HPE) branding.


Version:6.0.0.118-1 (21 Apr 2016)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Restored paths to a Shared Storage RAID enclosure which was not automatically added.
  • HPE Smart Array Px1x Controllers, which were not supported with HPSA VMware driver versions 6.0.0.114-1 and 6.0.0.116-1, are now fully supported. Please reference CA# c05105304 for more details.
Enhancements

Added support for:
HP Smart Array P542D Controller.
HP Smart Array P240nr Controller.
HP Smart HBA H240nr Controller


Version:6.0.0.116-1 (18 Nov 2015)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Known Issue:

HPSA Driver VIB version 6.0.0.116-1 for HPE Smart Array Px1x Controllers is not supported on VMware ESXi 6.0. Refer to HPE Customer Advisory #c05105304: http://h20564.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-c05105304, for additional information. Click the Release Notes tab to view a list of HPE Smart Array Controllers that are supported with this driver version.

Enhancements

Enabled operation with third party external RAID enclosures.


Version:6.0.0.114-1 (17 Dec 2015)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Implements rescan patches to solve new device rescan issue.
  • Implements changes to abort handler logic to avoid PSOD on aborting an already completed command.

Known Issue:

HPSA Driver VIB version 6.0.0.114-1 for HPE Smart Array Px1x Controllers is not supported on VMware ESXi 6.0. Refer to HPE Customer Advisory #c05105304: http://h20564.www2.hpe.com/hpsc/doc/public/display?docId=emr_na-c05105304, for additional information. Click the Release Notes tab to view a list of HPE Smart Array Controllers that are supported with this driver version.


Version:6.0.0.106-1 (15 Jun 2015)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


  • Added support for the HP Smart Array P840ar Controller.
  • Restored support for the HP Smart Array P700m Controller.
  • Added support for the HP MSA1040 external RAID enclosure.

 


Version:6.0.0.84-1 (30 Mar 2015)
Enhancements

Upgrade Requirement:
Recommended - HP recommends users update to this version at their earliest convenience.


  • Improved SCSI abort request handling.
  • Improved handling of errors during device discovery.
  • HBA mode updates.
  • Performance improvements via driver restructuring to eliminate locking.
  • Support for new HP Smart Array RAID controllers and Smart HBAs.

Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.